Lista o histórico de consultas do parceiro (tenant-scoped).
curl --request GET \
--url https://api.example.com/api/services/app/Consultas/Listarimport requests
url = "https://api.example.com/api/services/app/Consultas/Listar"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Consultas/Listar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Consultas/Listar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Consultas/Listar"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Consultas/Listar")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Consultas/Listar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"totalCount": 123,
"items": [
{
"reference": 123,
"document": "<string>",
"name": "<string>",
"type": 123,
"typeName": "<string>",
"consultationDate": "2023-11-07T05:31:56Z"
}
]
}Base de Consultas
Listar consultas (histórico)
GET
/
api
/
services
/
app
/
Consultas
/
Listar
Lista o histórico de consultas do parceiro (tenant-scoped).
curl --request GET \
--url https://api.example.com/api/services/app/Consultas/Listarimport requests
url = "https://api.example.com/api/services/app/Consultas/Listar"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/services/app/Consultas/Listar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/services/app/Consultas/Listar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/services/app/Consultas/Listar"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/services/app/Consultas/Listar")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/services/app/Consultas/Listar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"totalCount": 123,
"items": [
{
"reference": 123,
"document": "<string>",
"name": "<string>",
"type": 123,
"typeName": "<string>",
"consultationDate": "2023-11-07T05:31:56Z"
}
]
}Lista o histórico de consultas da sua loja, paginado. Filtre por
document, intervalo
de datas (startDate/endDate) e/ou type. Cada item traz a reference para reobter o
resultado sem custo em Obter resultado.
É gratuito, apenas lê o histórico já consultado. Use os parâmetros de paginação (
skipCount/maxResultCount) para percorrer os resultados.curl -X GET "https://gateway.hubcred.com.br/external/v1/api/services/app/Consultas/Listar?document=12345678900&maxResultCount=20" \
-H "Authorization: Bearer SEU_TOKEN"
Query Parameters
Filtra por documento (CPF/CNPJ).
Data inicial (inclusive).
Data final (inclusive).
Filtra por tipo de consulta.
Required range:
0 <= x <= 2147483647Required range:
1 <= x <= 2147483647